org.eclipse.wst.jsdt.chromium

## Interface SyncCallback

All Known Implementing Classes:
  CallbackSemaphore

    public interface SyncCallback

Secondary callback that should be called after main callback has been called; it gets called regardless of whether main callback finished normally or thrown an exception. It helps to separate callback logic (which may fail) from multi-thread synchronization (which shouldn't fail). Typically client may release his semaphore in this callback.

It could also be called 'finally callback', implying that is resembles try-finally control flow.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `callbackDone(java.lang.RuntimeException e)`

### Method Detail

#### callbackDone

    void callbackDone(java.lang.RuntimeException e)

Parameters:
  `e` - an exception main callback raised or null if none is reported